framework:
    secret: s3cr3t
    default_locale: fr
    form:
        csrf_protection:
            field_name: _csrf
    http_method_override: false
    trusted_proxies: ['127.0.0.1', '10.0.0.1']
    csrf_protection:
        enabled:    true
    esi:
        enabled: true
    ssi:
        enabled: true
    profiler:
        only_exceptions: true
        enabled: false
    router:
        resource:     '%kernel.root_dir%/config/routing.xml'
        type:         xml
    session:
        storage_id:      session.storage.native
        handler_id:      session.handler.native_file
        name:            _SYMFONY
        cookie_lifetime:  86400
        cookie_path:      /
        cookie_domain:    example.com
        cookie_secure:    true
        cookie_httponly:  false
        use_cookies:      true
        gc_probability:  1
        gc_divisor:      108
        gc_maxlifetime:  90000
        save_path:       /path/to/sessions
    templating:
        engines:          [php, twig]
        loader:           [loader.foo, loader.bar]
        cache:            /path/to/cache
        form:
            resources:    [theme1, theme2]
        hinclude_default_template: global_hinclude_template
    translator:
        enabled:  true
        fallback: fr
        paths: ['%kernel.root_dir%/Fixtures/translations']
    validation:
        enabled: true
        cache:   validator.mapping.cache.doctrine.apc
    annotations:
        cache:   file
        debug:   true
        file_cache_dir: '%kernel.cache_dir%/annotations'
    serializer:
         enabled:        true
         enable_annotations: true
         cache:          serializer.mapping.cache.apc
         name_converter: serializer.name_converter.camel_case_to_snake_case
    ide: file%%link%%format
    request:
        formats:
            csv: ['text/csv', 'text/plain']
            pdf: 'application/pdf'
